{% extends "_layouts/base.html" %}

{% block css %}
{{block.super}}
<style>
/* Move down content because we have a fixed navbar that is 50px tall */
body {
  padding-top: 50px;
  padding-bottom: 20px;
  background-color: #fafafa;
}

.recommendation-box {
  margin-top:15px;
}

.form-inline .form-group input {
    width: 300px;
}
</style>
{% endblock css %}

{% block page_title %}MovieX{% endblock %}
{% block page_class %}home-page{% endblock %}
{% block content %}

    <div class="navbar navbar-inverse navbar-fixed-top" role="navigation">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="#">MovieX</a>
        </div>
      </div>
    </div>

    <div class="moviex-searchbox">
      <div class="container">
        <div class="row">
          <div class="col-md-6 col-md-offset-3 text-center">
            <h2>Looking for a movie?</h2>
          </div>
        </div>
        <div class="row">
          <div class="col-md-6 col-md-offset-3 text-center">        
            <form method="POST" action="" class="form-inline" role="form">
              {% csrf_token %}
              <div class="form-group">
                {% if searchtext %}
                  <input name="searchtext" type="search" class="form-control" placeholder="Search for a movie..." value="{{ searchtext }}">
                {% else %}
                  <input name="searchtext" type="search" class="form-control" placeholder="Search for a movie...">
                {% endif %}
                <button type="submit" class="btn btn-default btn-sm">Search</button>            
              </div>
            </form>          
          </div>
        </div>        
      </div>
    </div>

    {% if movies %}
    <center>
    <div class="pagination">
    <span class="step-links">
        {% if movies.has_previous %}
            <a href="?page={{ movies.previous_page_number }}"> {{ movies.previous_page_number }} </a>
        {% endif %}

        <span class="current">
            | {{ movies.number }} | 
        </span>

        {% if movies.has_next %}
            <a href="?page={{ movies.next_page_number }}"> {{ movies.next_page_number }}</a>
        {% endif %}

        <span class="current">
            | ... | {{ movies.paginator.num_pages }}.
        </span>
    </span>
    </div>
    </center>
    {% endif %}

    <div class="container">
      <div class="row">
        <div class="col-xs-6 col-sm-4 col-md-3">
          <div class="panel panel-primary recommendation-box">
            <div class="panel-heading">
              Movies you might like
            </div>
            <div class="panel-body">
              {% if recommended %}
              {% for movie in recommended %}
                  <a href="/details/{{ movie.id }}/"> {{ movie.title }} </a> <br>
              {% endfor %}
              {% endif %}
            </div>            

          </div>
        </div>
        <div class="col-xs-6 col-sm-8 col-md-9">
          {% if searchresult %}
            <div class="row">
              <div class="col-md-12">
                <h4>Displaying search results for {{ searchtext }}:</h4>
              </div>
            </div>
            {% for movie in searchresult %}
              {% if forloop.counter|divisibleby:3 %}<div class="row">{% endif %}
                <div class="col-xs-6 col-sm-4 col-md-4">
                  <h3><a href="/details/{{ movie.id }}/"> {{ movie.title }} </a></h3>
                  <img src="http://image.tmdb.org/t/p/w185/7MYca5eXbEbhKHgYSrtxB3r799Q.jpg" />
                </div>
              {% if forloop.counter|divisibleby:3 %}</div>{% endif %}
            {% endfor %}
          {% elif movies %}
            {% for movie in movies %}
            {% if forloop.counter|divisibleby:4 %}<div class="row">{% endif %}
              <div class="col-xs-12 col-sm-6 col-md-4">
                  <h3><a href="/details/{{ movie.id }}/"> {{ movie.title }} </a></h3>
                <img src="http://image.tmdb.org/t/p/w185/7MYca5eXbEbhKHgYSrtxB3r799Q.jpg" />
              </div>
            {% if forloop.counter|divisibleby:4 %}</div>{% endif %}
            {% endfor %}
          {% endif %}
        </div>
      </div>      
    </div>

    {% if movies %}
    <center>
    <div class="pagination">
    <span class="step-links">
        {% if movies.has_previous %}
            <a href="?page={{ movies.previous_page_number }}"> {{ movies.previous_page_number }} </a>
        {% endif %}

        <span class="current">
            | {{ movies.number }} | 
        </span>

        {% if movies.has_next %}
            <a href="?page={{ movies.next_page_number }}"> {{ movies.next_page_number }}</a>
        {% endif %}

        <span class="current">
            | ... | {{ movies.paginator.num_pages }}.
        </span>
    </span>
    </div>
    </center>
    {% endif %}

{% endblock %}
